/**
 * @file
 *
 * @brief This file contains FileVIDStereoDevice
 */
//////////////////////////////////////////////////////////////////////
//
// stereo.h : Stereo acquisition and computation
// 2005 by Luca Iocchi
//
//////////////////////////////////////////////////////////////////////


#include "StereoDevice.h"
#include <vector>
#include <string>

using namespace std;

#define NXSDATA 12  // XSens data

/**
 * @brief StereoDevice reading images from file VID
 */
class FileVIDStereoDevice : public StereoDevice {
public:
	FileVIDStereoDevice();
	virtual ~FileVIDStereoDevice();
 	virtual bool init();
 	void init(const char* filename, const char* fileIniName, bool rect=false);
	virtual bool ready();
	virtual bool getFrame();
	virtual void done();
	void getXSdata(float *f);
 private:
	FILE *fvid;
	bool OthersFiles();
	bool contr2;
	char *filebasename;
	bool is_timestamp;
	unsigned char *fl, *fr, *fc;
	svsStoredImages *videosource;
	void dirname();
	void filenames(const char* name);
	vector<string> files;
	char dir[256];
	char field[8][80]; int nfields;
	float xsdata[NXSDATA];
};






