/*
 *  imagegrabber.h
 *
 *  Author: Domenico Bloisi
 *  domenicobloisi@yahoo.com
 *  Copyright 2010
 */

#ifndef IMAGEGRABBER_H_
#define IMAGEGRABBER_H_

#include "grabber.h"
#include <string>

class ImageGrabber: public Grabber {
	private:
		string img_path;
		string next_img_path;
		string index_string;
		double time_scale;
		bool resize;
		int d;
	public:
		ImageGrabber(string fn, int d, int fps=25, int prev_offset=1, bool resize=false, CvSize dim=cvSize(532,400));
		virtual ~ImageGrabber();
		virtual bool getData();
		int getWidth(){return width;};
		int getHeight(){return height;};
		virtual unsigned long getTimestamp();
		virtual unsigned long getPrevTimestamp();
		double getFps(){return fps;};
		void reset(){ };
		string getImagePath();
		inline virtual cv::Mat getDepth16bit() { return cv::Mat(); }
};

#endif /* IMAGEGRABBER_H_ */
