#ifndef IMAGESTEREOGRABBER_H
#define IMAGESTEREOGRABBER_H

#include "grabber.h"
#include <string>
#include <sstream>
#include <opencv2/opencv.hpp>
#include <fstream>
#include "Blob.h"
#include "BlobResult.h"

class imagestereograbber : public Grabber {
private:
    std::vector<std::string> filename;
    std::string baseName;
    std::string img_path;
    std::string depth_path;
    std::string next_img_path;
    std::string next_depth_path;
    std::string fn;
    std::string sequenceName;
    std::string homographyFilename;
    double time_scale;
    cv::Mat depth8bit;
    bool resize;
    int d;
    cv::Mat depth16bitNew;
    double ox, oy, oz;
    double theta, translation, h;
public:
    imagestereograbber(const string fn, const string ffn, const int kinect_number, int fps=25, int prev_offset=1, CvSize dim=cvSize(640,480));
    virtual ~imagestereograbber();
    virtual bool getData();
    int lx, ly, rx, ry;
    int getWidth(){return width;};
    int getHeight(){return height;};
    cv::Mat getDepth() { return depth8bit; };
    IplImage *getImage() { return frame; };
    cv::Mat getDepth16bit() ;
    void get3DPoint(int x, int y, double *wx, double *wy, double *wz);
    virtual unsigned long getTimestamp();
    virtual unsigned long getPrevTimestamp();
    double getFps(){return fps;};
    void reset();
    cv::Mat homography;

//    string getImagePath();
};

#endif // IMAGESTEREOGRABBER_H
